from _typeshed import Incomplete
from django.db import models
from polymorphic.query import PolymorphicQuerySet as PolymorphicQuerySet

__all__ = ["PolymorphicManager", "PolymorphicQuerySet"]

class PolymorphicManager(models.Manager):
    queryset_class = PolymorphicQuerySet
    @classmethod
    def from_queryset(cls, queryset_class, class_name: Incomplete | None = None): ...
    def get_queryset(self): ...
    def non_polymorphic(self): ...
    def instance_of(self, *args): ...
    def not_instance_of(self, *args): ...
    def get_real_instances(self, base_result_objects: Incomplete | None = None): ...
